View Issue Details

IDProjectCategoryView StatusLast Update
0001123bareos-core[All Projects] directorpublic2019-10-28 11:35
ReporterfrankuAssigned Tofranku 
PrioritylowSeveritymajorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version19.2.1 
Fixed in Version 
Summary0001123: Director can crash during TwoWay Authentication
DescriptionThe director daemon crashes with a segmentation fault during the connection handshake with a client or console.

This can happen if just before the TwoWay authentication sequence the connected client drops the connection.

This case is expected to be extremely seldom.
Steps To ReproduceNone yet.
Additional InformationStop socket watchdog timer on a connection abort.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impactyes
bareos-18.2: actionfixed
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

franku

franku

2019-10-28 11:22

administrator   ~0003611

Fix committed to bareos bareos-18.2 branch with changesetid 11968.

Related Changesets

bareos: master 5f718e16

2019-10-02 15:16:05

franku

Ported: N/A

Details Diff
bsock: stop timer before return from function

Fixes 0001123: Director can crash during TwoWay Authentication
Affected Issues
0001123
mod - core/src/lib/bsock.cc Diff File

bareos: bareos-18.2 5a925164

2019-10-02 15:16:05

franku

Ported: N/A

Details Diff
bsock: stop timer before return from function

Fixes 0001123: Director can crash during TwoWay Authentication
Affected Issues
0001123
mod - core/src/lib/bsock.cc Diff File

Issue History

Date Modified Username Field Change
2019-10-25 14:00 franku New Issue
2019-10-25 14:00 franku Status new => assigned
2019-10-25 14:00 franku Assigned To => franku
2019-10-25 14:04 franku bareos-master: impact => yes
2019-10-25 14:04 franku bareos-master: action => will care
2019-10-25 14:04 franku bareos-18.2: impact => yes
2019-10-25 14:04 franku bareos-18.2: action => will care
2019-10-28 11:22 franku Changeset attached => bareos master 5f718e16
2019-10-28 11:22 franku Changeset attached => bareos bareos-18.2 5a925164
2019-10-28 11:22 franku Note Added: 0003611
2019-10-28 11:22 franku Status assigned => resolved
2019-10-28 11:22 franku Resolution open => fixed
2019-10-28 11:35 franku Status resolved => new
2019-10-28 11:35 franku Resolution fixed => reopened
2019-10-28 11:35 franku Status new => closed
2019-10-28 11:35 franku Resolution reopened => fixed
2019-10-28 11:35 franku bareos-master: action will care => fixed
2019-10-28 11:35 franku bareos-18.2: action will care => fixed